tasks/get

GET/scheduled-agents/{scheduled_agent_id}

Get one Task. Requires the configuration:read permission.

Request

cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/scheduled-agents/{scheduled_agent_id}" \
  -H "Authorization: Bearer $CLOUDX_API_KEY"

Path parameters

NameTypeDescription
scheduled_agent_idrequiredstringTask ID.

Responses

Task.
{
  "id": "<string>",
  "domain": "buying",
  "name": "<string>",
  "prompt": "<string>",
  "template_id": "<string>",
  "cron_expression": "<string>",
  "timezone": "<string>",
  "schedule_description": "<string>",
  "enabled": true,
  "creation_origin": "web_app",
  "access_mode": "private",
  "creator_user_id": "<string>",
  "next_run_at": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

200Task.

FieldTypeDescription
idrequiredstringStable Task ID.
domainrequiredstringSide of the platform the Task works for.
namerequiredstring
promptrequiredstringPrompt that the Task runs on its schedule.
template_idstringTemplate used to create the Task, when applicable.
cron_expressionrequiredstringFive-field cron expression in the Task timezone.
timezonerequiredstringIANA timezone for the cron expression.
schedule_descriptionrequiredstringHuman-readable schedule.
enabledrequiredboolean
creation_originrequiredstringSurface that created the Task.
access_moderequiredobject
creator_user_idstringUser who created the Task. Omitted for API and internal Tasks.
next_run_atrequiredstring<date-time>
created_atrequiredstring<date-time>
updated_atrequiredstring<date-time>

401Unauthorized.

FieldTypeDescription
errorrequiredstring

403Forbidden or feature unavailable.

FieldTypeDescription
errorrequiredstring

404Task not found.

FieldTypeDescription
errorrequiredstring

500Internal server error.

FieldTypeDescription
errorrequiredstring